[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'EditBtn' (#lcl)

# TCustomEditButton.LoadDefaultGlyph

Loads the default glyph displayed on the Button for the control.

## Declaration

Source position: editbtn.pas line 102

`protected procedure TCustomEditButton.LoadDefaultGlyph;`

## Description

LoadDefaultGlyph calls GetDefaultGlyphName to get the name for the default glyph resource defined for the class instance. In TCustomEditButton, this is an empty string (''). In a descendent class, another value may be provided. If a glyph name is found, it is assigned to the ButtonGlyph in the Button for the control.

LoadDefaultGlyph is called when Nil assigned to the Glyph property in the control.